USM bug reports

Please reproduce your error on a second machine before posting, and check the error by running without saved changes or extra modules (See FAQ No. 13, "How to report a bug"). For unstable Porteus versions (alpha, beta, rc) please use the relevant thread in our "Development" section.
User avatar
brokenman
Site Admin
Site Admin
Posts: 5867
Joined: 27 Dec 2010, 03:50
Distribution: Porteus v3.2rcX all desktops
Location: Brazil
Contact:

Re: USM bug reports

Post#181 by brokenman » 24 Aug 2014, 00:47

Wonder if it's for the same reason there is no 'none' option any more in the non-GUI version.
Nothing has changed there. The 'None' option is only available when using: usm -d /var/log/packages/package-name

Slaxmax can you check your version. The output from: usm -d /var/log/packages/package-name
should be something like below.

Code: Select all

 Missing dependencies:  2

libaio.so.1
libcups.so.2
Searching  libaio.so.1:  found 1 packages.
Choose a package to download or choose 'None' to neglect
1) libaio-0.3.109-x86_64-1.txz
2) None
#? 1

Searching  libcups.so.2:  found 1 packages.
Choose a package to download or choose 'None' to neglect
1) aaa_elflibs-14.1-x86_64-3.txz
2) None
#? 1


 The following packages are ready to download: 

libaio-0.3.109-x86_64-1.txz [16 KB]
aaa_elflibs-14.1-x86_64-3.txz [4.21 MB]


 Press [r] to remove packages, [q] to quit, or enter to start downloading.
Also this version of xaralx is very old. Back from slackware 13.37. In any case, when I hit 'r' and deselect an item and then continue it exits in the same way without downloading. I will investigate it tonight. Thanks.

EDIT:
I have updated the github source code with this regression fix. When I fixed the deselection for the standard package get I broke it for system deps. Thanks again.
How do i become super user?
Wear your underpants on the outside and put on a cape.

cttan
Shogun
Shogun
Posts: 333
Joined: 26 Jan 2011, 16:15
Distribution: Porteus 3.2 and 4.0 64bit KDE
Location: Malaysia

Re: USM bug reports

Post#182 by cttan » 24 Aug 2014, 05:03

Sorry brokenman,

I just want to inform about the extra deps require to start Pitivi due to it is a Python program.

Here is the complete deps require:-
gst-plugins-base-0.10.36-x86_64-2.xzm
gst-python-0.10.22-x86_64-2sl.xzm
gstreamer-0.10.36-x86_64-2.xzm
pyxdg-0.25-x86_64-1sl.xzm
goocanvas-0.15-x86_64-1dj.xzm
pygoocanvas-0.14.1-x86_64-2gv.xzm
pysetuptools-3.6-x86_64-1ponce.xzm
gnonlin-0.10.17-x86_64-1gv.xzm
gst-plugins-good-0.10.31-x86_64-5.xzm
aaa_elflibs-14.1-x86_64-3.xzm
aalib-1.4rc5-x86_64-5.xzm
libcaca-0.99.beta18-x86_64-2.xzm
libsoup-2.42.2-x86_64-1.xzm
zope.interface-4.1.0-x86_64-1alien.xzm

Cheers!

User avatar
Slaxmax
Contributor
Contributor
Posts: 406
Joined: 03 Jan 2013, 09:51
Distribution: KDE4
Location: Campinas Brazil https://goo.gl/yrxwKi

Re: USM bug reports

Post#183 by Slaxmax » 24 Aug 2014, 05:05

@brokenman

Sorry my fault.
I tested in porteus 3.0-RC1.
The upgrade "usm -u usm" did not work right, I think something's left of the old package. I removed the old USM installation in xorg module and installed last usm txz.
Now is ok.

tks
“DNA is like a computer program but far, far more advanced than any software ever created.”
― Bill Gates, The Road Ahead

User avatar
brokenman
Site Admin
Site Admin
Posts: 5867
Joined: 27 Dec 2010, 03:50
Distribution: Porteus v3.2rcX all desktops
Location: Brazil
Contact:

Re: USM bug reports

Post#184 by brokenman » 24 Aug 2014, 13:23

Yes the version included in 3.0 did not properly remove the old downloaded package in /tmp/usm. This has been addressed.

Thanks cttan, I have updated the file on the server now. pitivi works nicely but requires the h264 decoder for many files.
How do i become super user?
Wear your underpants on the outside and put on a cape.

User avatar
Ed_P
Contributor
Contributor
Posts: 3950
Joined: 06 Feb 2013, 22:12
Distribution: 4.0 Cinnamon 64-bit ISO
Location: Western NY, USA

USM v3.1.6 update

Post#185 by Ed_P » 06 Sep 2014, 04:34

WOW!!! Major savings in the save.dat file.

Code: Select all

USM 3.1.4

149M	/mnt/live/memory/images/changes/var


USM 3.1.6

27M  	/mnt/live/memory/images/changes/var

Nice job brokenman. Image

I did find that clicking on the taskbar's USM icon then clicking on the USM window's menu Updates item and the Update USM option still produces a Message window stating "No database updates were found." I thought that was fixed in 3.1.6.

BTW It would be nice if the installpkg app didn't error out with msgs like these:

Code: Select all

guest@porteus:~$ installpkg /tmp//usm-latest-0.0-noarch-1.txz
Verifying package usm-latest-0.0-noarch-1.txz.
/sbin/installpkg: line 421: /var/log/setup/tmp/tmplist2820: Permission denied
/sbin/installpkg: line 421: /var/log/setup/tmp/tmpsize2820: Permission denied
Unable to install /tmp//usm-latest-0.0-noarch-1.txz:  tar archive is corrupt (tar returned error code 1)
rm: cannot remove '/var/log/setup/tmp/tmplist2820': Permission denied
rm: cannot remove '/var/log/setup/tmp/tmpsize2820': Permission denied
when it needs root access to run. A prompt to logon to root would be nice or at least a msg indicating root access was needed to run.

I'm not sure what these installpkg error msgs represent.

Code: Select all

guest@porteus:~$ su
Password: 
root@porteus:/home/guest# installpkg /tmp//usm-latest-0.0-noarch-1.txz
Verifying package usm-latest-0.0-noarch-1.txz.
Installing package usm-latest-0.0-noarch-1.txz:
PACKAGE DESCRIPTION:
/sbin/ldconfig: /usr/lib/libv4lconvert.so.0 is not a symbolic link 

/sbin/ldconfig: /usr/lib/libv4l2.so.0 is not a symbolic link

/sbin/ldconfig: /usr/lib/libv4l1.so.0 is not a symbolic link

Package usm-latest-0.0-noarch-1.txz installed.

root@porteus:/home/guest# usm -v
 You are using USM version:  3.1.6
But the update seems to have taken. :Yahoo!:
Ed

User avatar
brokenman
Site Admin
Site Admin
Posts: 5867
Joined: 27 Dec 2010, 03:50
Distribution: Porteus v3.2rcX all desktops
Location: Brazil
Contact:

Re: USM v3.1.6 update

Post#186 by brokenman » 06 Sep 2014, 21:16

I did find that clicking on the taskbar's USM icon then clicking on the USM window's menu Updates item and the Update USM option still produces a Message window stating "No database updates were found." I thought that was fixed in 3.1.6.
I wasn't aware of this bug or perhaps I missed the report. I just checked and this message is indeed presented when a user clicks on update USM. Thanks, I will address it now.
BTW It would be nice if the installpkg app didn't error out with msgs like these
The installpkg program resides in /sbin and should not even be available to guest. (as root you can type which installpkg to see)

I am also not sure why you received those messages (not error messages) when running installpkg. Nothing serious and nothing related to USM. It appears to be a result of installpkg running ldconfig after installation of a package. Do you get the same output when just running (as root): ldconfig

When you reply I will move this message into 'bug reports'.
How do i become super user?
Wear your underpants on the outside and put on a cape.

User avatar
Ed_P
Contributor
Contributor
Posts: 3950
Joined: 06 Feb 2013, 22:12
Distribution: 4.0 Cinnamon 64-bit ISO
Location: Western NY, USA

Re: USM v3.1.6 update

Post#187 by Ed_P » 07 Sep 2014, 06:43

brokenman wrote:
BTW It would be nice if the installpkg app didn't error out with msgs like these
The installpkg program resides in /sbin and should not even be available to guest. (as root you can type which installpkg to see)

I am also not sure why you received those messages (not error messages) when running installpkg. Nothing serious and nothing related to USM. It appears to be a result of installpkg running ldconfig after installation of a package. Do you get the same output when just running (as root): ldconfig

Code: Select all

guest@porteus:~$ which installpkg
/sbin/installpkg
guest@porteus:~$ 

guest@porteus:~$ su
Password: 
root@porteus:/home/guest# ldconfig
ldconfig: /usr/lib/libv4lconvert.so.0 is not a symbolic link

ldconfig: /usr/lib/libv4l2.so.0 is not a symbolic link

ldconfig: /usr/lib/libv4l1.so.0 is not a symbolic link

root@porteus:/home/guest# which installpkg
/sbin/installpkg
root@porteus:/home/guest# 
Ed

User avatar
brokenman
Site Admin
Site Admin
Posts: 5867
Joined: 27 Dec 2010, 03:50
Distribution: Porteus v3.2rcX all desktops
Location: Brazil
Contact:

Re: USM bug reports

Post#188 by brokenman » 07 Sep 2014, 19:27

guest@porteus:~$ which installpkg
/sbin/installpkg
Someting is funky right there. The directory /sbin is not in the $PATH of a guest user so you shouldn't be seeing it. If you are you have a rather large security hole. The only place searched when using 'which' as guest should be shown by typing (as guest): echo $PATH
How do i become super user?
Wear your underpants on the outside and put on a cape.

User avatar
Ed_P
Contributor
Contributor
Posts: 3950
Joined: 06 Feb 2013, 22:12
Distribution: 4.0 Cinnamon 64-bit ISO
Location: Western NY, USA

Re: USM bug reports

Post#189 by Ed_P » 08 Sep 2014, 04:25

Code: Select all

guest@porteus:~$ echo $PATH
/usr/local/sbin:/usr/local/bin:/sbin:/usr/sbin:/bin:/usr/bin:/usr/lib64/java/bin:/opt/kde3/lib64/qt3/bin:/opt/kde3/bin:/usr/lib64/qt/bin:.:.:/usr/lib64/java/bin:/opt/kde3/lib64/qt3/bin:/opt/kde3/bin:/usr/lib64/qt/bin
guest@porteus:~$ 
Ed

tome
Contributor
Contributor
Posts: 615
Joined: 26 Jun 2013, 14:03
Distribution: x64 Openbox
Location: Poland
Contact:

Re: USM bug reports

Post#190 by tome » 10 Sep 2014, 09:28

MAKELINKS=true
usm -g calibre

Some bugs:

Code: Select all

ln: target ‘/mnt/data/anydata/packages-x86/calibre-1.48.0/ilmbase-1.0.3-i486-1.txz’ is not a directory
ilmbase-1.0.3-i486-1.txz exists. Symlink created.
I think any package should be downloaded to STORAGE and subdirectories should contain only links if MAKELINKS=true is used.
No intelligence, no life and no information can exist without prior intelligence, life or information (in place where things change and time is running).

Bogomips
Full of knowledge
Full of knowledge
Posts: 2564
Joined: 25 Jun 2014, 15:21
Distribution: 3.2.2 Cinnamon & KDE5
Location: London

Re: USM bug reports

Post#191 by Bogomips » 18 Sep 2014, 12:34

Variant on: doesn't check to see if package is Installed

Code: Select all

root@porteus:/home/guest# usm -d
...
Checked: ifenslave-1.1.0-i486-1ftm
Checked: ilmbase-1.0.3-i486-1
Checked: imagemagick-6.8.6_10-i486-1
...
Checked: xorg-server-1.14.5-i486-1ftm
Checked: xprop-1.2.2-i486-1
Checked: xrandr-1.4.1-i486-1
Checked: xrdb-1.1.0-i486-1
Checked: xset-1.2.3-i486-1
Checked: xsetroot-1.1.1-i486-1
Checked: xterm-297-i486-1
Checked: xvidcore-1.3.2-i486-1ftm
Checked: xvinfo-1.1.2-i486-1
Checked: xz-5.0.5-i486-1
Checked: zd1211-firmware-1.4-fw-1
Processing: zlib-1.2.8-i486-1
####################################

libcups.so.2 => not found
Required by: gtk+2-2.24.20-i486-1 (/usr/lib/gtk-2.0/2.10.0/printbackends/libprintbackend-cups.so)

libpcreposix.so.0 => not found
Required by: kdelibs-4.10.5-i486-2 (/usr/lib/libkjs.so.4.10.5)

libenchant.so.1 => not found
Required by: kdelibs-4.10.5-i486-2 (/usr/lib/kde4/kspell_enchant.so)

libaspell.so.15 => not found
Required by: kdelibs-4.10.5-i486-2 (/usr/lib/kde4/kspell_aspell.so)

libjasper.so.1 => not found
Required by: kdelibs-4.10.5-i486-2 (/usr/lib/kde4/plugins/imageformats/kimg_jp2.so)

libImath.so.7 => not found
libIlmImf.so.7 => not found
libIex.so.7 => not found
libHalf.so.7 => not found
libIlmThread.so.7 => not found
Required by: kdelibs-4.10.5-i486-2 (/usr/lib/kde4/plugins/imageformats/kimg_exr.so)

libspectre.so.1 => not found
Required by: okular-4.12.3-i486-1ftm (/usr/lib/kde4/okularGenerator_ghostview.so)

libmysqlclient.so.18 => not found
Required by: perl-5.18.1-i486-1 (/usr/lib/perl5/vendor_perl/auto/DBD/mysql/mysql.so)

libtk8.6.so => not found
libtcl8.6.so => not found
Required by: python-2.7.5-i486-1 (/usr/lib/python2.7/lib-dynload/_tkinter.so)

libclucene-core.so.1 => not found
libclucene-core.so.1 => not found
Required by: soprano-2.9.0-i486-1 (/usr/bin/sopranod)

libclucene-core.so.1 => not found
libclucene-core.so.1 => not found
Required by: soprano-2.9.0-i486-1 (/usr/bin/sopranocmd)

libclucene-core.so.1 => not found
Required by: soprano-2.9.0-i486-1 (/usr/lib/libsopranoindex.so.1.1.0)

libraptor2.so.0 => not found
Required by: soprano-2.9.0-i486-1 (/usr/lib/soprano/libsoprano_raptorserializer.so)

libiodbc.so.2 => not found
Required by: soprano-2.9.0-i486-1 (/usr/lib/soprano/libsoprano_virtuosobackend.so)

libraptor2.so.0 => not found
Required by: soprano-2.9.0-i486-1 (/usr/lib/soprano/libsoprano_raptorparser.so)

librdf.so.0 => not found
Required by: soprano-2.9.0-i486-1 (/usr/lib/soprano/libsoprano_redlandbackend.so)

libaa.so.1 => not found
Required by: vlc-2.1.5-i486-1alien (/usr/lib/vlc/plugins/video_output/libaa_plugin.so)

libcaca.so.0 => not found
Required by: vlc-2.1.5-i486-1alien (/usr/lib/vlc/plugins/video_output/libcaca_plugin.so)

libsmbclient.so.0 => not found
Required by: vlc-2.1.5-i486-1alien (/usr/lib/vlc/plugins/access/libaccess_smb_plugin.so)

libjasper.so.1 => not found
libfftw3.so.3 => not found
libIlmImf.so.7 => not found
libImath.so.7 => not found
libHalf.so.7 => not found
libIexMath.so.7 => not found
libIlmThread.so.7 => not found
libIex.so.7 => not found
libjasper.so.1 => not found
libfftw3.so.3 => not found
libIlmImf.so.7 => not found
libImath.so.7 => not found
libHalf.so.7 => not found
libIexMath.so.7 => not found
libIlmThread.so.7 => not found
libIex.so.7 => not found
libjasper.so.1 => not found
libfftw3.so.3 => not found
libIlmImf.so.7 => not found
libImath.so.7 => not found
libHalf.so.7 => not found
libIexMath.so.7 => not found
libIlmThread.so.7 => not found
libIex.so.7 => not found
Required by: imagemagick-6.8.6_10-i486-1 (/usr/bin/animate)
...
Required by: imagemagick-6.8.6_10-i486-1 (/usr/bin/display)
...
Required by: imagemagick-6.8.6_10-i486-1 (/usr/bin/import)
...
Required by: imagemagick-6.8.6_10-i486-1 (/usr/bin/conjure)
...
Required by: imagemagick-6.8.6_10-i486-1 (/usr/bin/composite)
...
Required by: imagemagick-6.8.6_10-i486-1 (/usr/bin/identify)
...
Required by: imagemagick-6.8.6_10-i486-1 (/usr/bin/compare)
Required by: imagemagick-6.8.6_10-i486-1 (/usr/bin/convert)
...
Required by: imagemagick-6.8.6_10-i486-1 (/usr/bin/mogrify)
Required by: imagemagick-6.8.6_10-i486-1 (/usr/bin/montage)
Required by: imagemagick-6.8.6_10-i486-1 (/usr/bin/stream)
Required by: imagemagick-6.8.6_10-i486-1 (/usr/lib/libMagickCore-6.Q16.so.1.0.0)
Required by: imagemagick-6.8.6_10-i486-1 (/usr/lib/libMagickWand-6.Q16.so.1.0.0)

libjasper.so.1 => not found
libfftw3.so.3 => not found
libIlmImf.so.7 => not found
libImath.so.7 => not found
libHalf.so.7 => not found
libIexMath.so.7 => not found
libIlmThread.so.7 => not found
libIex.so.7 => not found
libjasper.so.1 => not found
libfftw3.so.3 => not found
libIlmImf.so.7 => not found
libImath.so.7 => not found
libHalf.so.7 => not found
libIexMath.so.7 => not found
libIlmThread.so.7 => not found
libIex.so.7 => not found
libjasper.so.1 => not found
libfftw3.so.3 => not found
libIlmImf.so.7 => not found
libImath.so.7 => not found
libHalf.so.7 => not found
libIexMath.so.7 => not found
libIlmThread.so.7 => not found
libIex.so.7 => not found
Required by: imagemagick-6.8.6_10-i486-1 (/usr/lib/libMagick++-6.Q16.so.3.0.0)
...
Required by: imagemagick-6.8.6_10-i486-1 (/usr/lib/perl5/vendor_perl/auto/Image/Magick/Q16/Q16.so)
...
Required by: imagemagick-6.8.6_10-i486-1 (/usr/lib/perl5/vendor_perl/auto/Image/Magick/Magick.so)

####################################


 Missing dependencies:  23

libHalf.so.7
libIex.so.7
libIexMath.so.7
libIlmImf.so.7
libIlmThread.so.7
libImath.so.7
libaa.so.1
libaspell.so.15
libcaca.so.0
libclucene-core.so.1
libcups.so.2
libenchant.so.1
libfftw3.so.3
libiodbc.so.2
libjasper.so.1
libmysqlclient.so.18
libpcreposix.so.0
libraptor2.so.0
librdf.so.0
libsmbclient.so.0
libspectre.so.1
libtcl8.6.so
libtk8.6.so
Searching  libHalf.so.7:  found 1 packages.
Searching  libIex.so.7:  found 1 packages.
ilmbase-1.0.3-i486-1.txz already in download list.

Searching  libIexMath.so.7:  found 1 packages.
ilmbase-1.0.3-i486-1.txz already in download list.

Searching  libIlmImf.so.7:  found 1 packages.
Searching  libIlmThread.so.7:  found 1 packages.
ilmbase-1.0.3-i486-1.txz already in download list.

Searching  libImath.so.7:  found 1 packages.
ilmbase-1.0.3-i486-1.txz already in download list.

Searching  libaa.so.1:  found 1 packages.
Searching  libaspell.so.15:  found 1 packages.
Searching  libcaca.so.0:  found 1 packages.
Searching  libclucene-core.so.1:  found 1 packages.
Searching  libcups.so.2:  found 1 packages.
Searching  libenchant.so.1:  found 1 packages.
Searching  libfftw3.so.3:  found 1 packages.
Searching  libiodbc.so.2:  found 2 packages.

Choose a package to download or choose 'None' to neglect
1) None
2) libiodbc-3.52.7-i486-2.txz
3) libiodbc-3.52.8-i486-1_slack14.1.txz
#? 1

Searching  libjasper.so.1:  found 1 packages.
Searching  libmysqlclient.so.18:  found 2 packages.

Choose a package to download or choose 'None' to neglect
1) None                                 3) mariadb-5.5.37-i486-1_slack14.1.txz
2) mariadb-5.5.32-i486-1.txz
#? 1

Searching  libpcreposix.so.0:  found 1 packages.
aaa_elflibs-14.1-i486-3.txz already in download list.

Searching  libraptor2.so.0:  found 1 packages.
Searching  librdf.so.0:  found 1 packages.
Searching  libsmbclient.so.0:  found 2 packages.

Choose a package to download or choose 'None' to neglect
1) None                               3) samba-4.1.11-i486-1_slack14.1.txz
2) samba-4.1.0-i486-2.txz
#? 1

Searching  libspectre.so.1:  found 1 packages.
Searching  libtcl8.6.so:  found 1 packages.
Searching  libtk8.6.so:  found 1 packages.

 The following packages are ready to download: 

ilmbase-1.0.3-i486-1.txz [124 KB]
openexr-1.7.1-i486-1.txz [2.90 MB]
aalib-1.4rc5-i486-5.txz [164 KB]
aspell-0.60.6-i486-1.txz [548 KB]
libcaca-0.99.beta18-i486-2.txz [536 KB]
clucene-2.3.3.4-i486-2.txz [720 KB]
aaa_elflibs-14.1-i486-3.txz [4.59 MB]
enchant-1.6.0-i486-1.txz [64 KB]
fftw-3.3.3-i486-1.txz [2.74 MB]
jasper-1.900.1-i486-3.txz [148 KB]
raptor2-2.0.9-i486-1.txz [328 KB]
redland-1.0.16-i486-1.txz [288 KB]
libspectre-0.2.7-i486-1.txz [40 KB]
tcl-8.6.1-i486-1.txz [2.42 MB]
tk-8.6.1-i486-1.txz [1.64 MB]


 Press [r] to remove packages, [q] to quit, or enter to start downloading.

root@porteus:/home/guest# usm -v
 You are using USM version:  3.1.6
root@porteus:/home/guest# ls -lh /var/log/packages/ilmbase-1.0.3-i486-1 
-rw-r--r-- 1 root root 2.8K Sep 18 14:01 /var/log/packages/ilmbase-1.0.3-i486-1
But ilmbase-1.0.3-i486-1 is already installed.
Linux porteus 4.4.0-porteus #3 SMP PREEMPT Sat Jan 23 07:01:55 UTC 2016 i686 AMD Sempron(tm) 140 Processor AuthenticAMD GNU/Linux
NVIDIA Corporation C61 [GeForce 6150SE nForce 430] (rev a2) MemTotal: 901760 kB MemFree: 66752 kB

Bogomips
Full of knowledge
Full of knowledge
Posts: 2564
Joined: 25 Jun 2014, 15:21
Distribution: 3.2.2 Cinnamon & KDE5
Location: London

Re: USM bug reports

Post#192 by Bogomips » 22 Sep 2014, 14:47

Another facet.

Code: Select all

root@porteus:/home/guest# usm -s libxt

libXt-1.1.4-i486-1.txz was found in slackware
libXtst-1.2.2-i486-1.txz was found in slackware
Packages found:   2 

Use:   usm -i <package>  for more info
Use:   usm -g <package>  to download

root@porteus:/home/guest# ls -l /var/log/packages/libXt-1.1.4-i486-1 
-rw-r--r-- 1 root root 11915 Dec  7  2013 /var/log/packages/libXt-1.1.4-i486-1
Linux porteus 4.4.0-porteus #3 SMP PREEMPT Sat Jan 23 07:01:55 UTC 2016 i686 AMD Sempron(tm) 140 Processor AuthenticAMD GNU/Linux
NVIDIA Corporation C61 [GeForce 6150SE nForce 430] (rev a2) MemTotal: 901760 kB MemFree: 66752 kB

User avatar
Ed_P
Contributor
Contributor
Posts: 3950
Joined: 06 Feb 2013, 22:12
Distribution: 4.0 Cinnamon 64-bit ISO
Location: Western NY, USA

Re: USM bug reports

Post#193 by Ed_P » 25 Sep 2014, 21:41

Ed

User avatar
Rava
Contributor
Contributor
Posts: 1573
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 3.1.0 x86-64 XFCe
Location: Germany

USM v3.1.7 errors

Post#194 by Rava » 18 Oct 2014, 21:27

Running neko's 001-core5.xzm in addition to normal 3.0.1 x86-64 XFCe Porteus
I just let usm update all databases. What I realized it that all folders in /var/usm are smaller than they used to be. They all lack the MANIFEST files. My last backup of usm-databases that had these have been from 2014-08-18:

Code: Select all

root@porteus:/tmp/usm-databases_2014-08-18/var/usm# ls -o */MANIFEST
-rw-r--r-- 1 root  9578173 2014-08-15 16:10 alien/MANIFEST
-rw-r--r-- 1 root  9766698 2014-07-29 13:51 ponce/MANIFEST
-rw-r--r-- 1 root    35557 2014-08-18 10:33 salix/MANIFEST
-rw-r--r-- 1 root 41789838 2013-11-03 07:19 slackware/MANIFEST
-rw-r--r-- 1 root 52885492 2014-06-25 00:54 slackwarepatches/MANIFEST
-rw-r--r-- 1 root  5911922 2014-06-24 05:00 slacky/MANIFEST
root@porteus:/tmp/usm-databases_2014-08-18/var/usm# cd /var/usm/
root@porteus:/var/usm# ls -o */MANIFEST
ls: cannot access */MANIFEST: No such file or directory
Are the MANIFEST files no longer used/needed in newer usm?

Code: Select all

root@porteus:/mnt# usm -i BeautifulSoup-4.1.1-x86_64-1gv.txz
grep: invalid option -- '['
Usage: grep [OPTION]... PATTERN [FILE]...
Try 'grep --help' for more information.

Package:    (106 K) [not installed]
BeautifulSoup: BeautifulSoup (Python HTML/XML parser)
BeautifulSoup: 
BeautifulSoup: Beautiful Soup is a Python HTML/XML parser designed for quick
BeautifulSoup: turnaround projects like screen-scraping.
BeautifulSoup: 
BeautifulSoup: 
BeautifulSoup: 
BeautifulSoup: 
BeautifulSoup: 
BeautifulSoup: 
BeautifulSoup: 

root@porteus:/mnt# usm -v
 You are using USM version:  3.1.7
At least in the above example, the "grep: invalid option -- '['" error seems not to be that much of an issue, but still, it should be exterminated. :)

Also, why won't it find the main GIMP program when seaching for gimp?

Code: Select all

root@porteus:/mnt# usm -s gimp


 The following items were found.
 Choose an number to confirm. 
 ctrl+c to quit

1) gimp-feca_hdr-plugin	  3) gimp-wideangle-plugin  5) gimp-help
2) gimp-lqr-plugin	  4) gimp-gap
#? ^C
Cheers!
Yours Rava

User avatar
fanthom
Site Admin
Site Admin
Posts: 4779
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

Re: USM v3.1.7 errors

Post#195 by fanthom » 19 Oct 2014, 07:15

i would suggest you to upgrade to 3.1 rc1 which has usm-3.1.7 by default and check if your problems are still there.
Please add [Solved] to your thread title if the solution was found.

Post Reply